---
agentTools:
  projectIndex: https://docs.privakey.com/llms.txt
---

# Get All Requests

Returns an array of requests.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "2.4"
  },
  "servers": [
    {
      "url": "https://cloud.privakey.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/request/getAll": {
      "get": {
        "summary": "Get All Requests",
        "description": "Returns an array of requests.",
        "operationId": "get-all-requests",
        "parameters": [
          {
            "name": "requestGuid",
            "in": "query",
            "description": "Used to get a request by guid.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Filter requests by status id.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Limit the number of requests returned. If not specified, 100 requests will be returned.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "beginDate",
            "in": "query",
            "description": "Cutoff date of the oldest request to find. Milliseconds since epoch. Functionally equivalent to noOlderThan",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "noOlderThan",
            "in": "query",
            "description": "Cutoff date of the oldest request to find. Milliseconds since epoch. Functionally equivalent to beginDate.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "endDate",
            "in": "query",
            "description": "Cutoff date of the most recent request to find. Milliseconds since epoch.",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "typeId",
            "in": "query",
            "description": "The type of requests to return. 1 for standard, 2 for magic links, 3 for webauthn",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "accountId",
            "in": "query",
            "description": "The id of the user in your system",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Either Basic or HMAC, depending on how the Request Origin is configured.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Basic <basic creds>"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n  {\n    \"code\": \"LQW\",\n    \"created\": \"2019-01-09T19:34:44.000Z\",\n    \"lastModified\": \"2019-01-09T19:35:02.000Z\",\n    \"expiration\": \"2019-01-09T19:39:44.000Z\",\n    \"originIP\": \"3.82.163.75\",\n    \"requestStatusId\": 2,\n    \"content\": \"<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>\",\n  \"responseContent\": \"<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>\",\n    \"buttons\": [\n      {\n        \"title\": \"Approve\",\n        \"strongAuth\": true,\n        \"style\": \"{\\\"type\\\":\\\"button\\\",\\\"color\\\":\\\"#40AA4B\\\"}\"\n      },\n      {\n        \"title\": \"Reject\",\n        \"strongAuth\": false,\n        \"style\": \"{\\\"type\\\":\\\"button\\\",\\\"color\\\":\\\"#f14132\\\"}\"\n      }\n    ],\n    \"buttonSelected\": 1,\n    \"privakeyId\": \"efc27e30-1147-4a30-9bac-8c40adcf1c45\",\n    \"requestOriginId\": 6,\n    \"additionalInfo\": \"{\\\"viewType\\\":\\\"html\\\",\\\"format\\\":\\\"standard\\\",\\\"type\\\":\\\"Winston Speak SendMoney\\\",\\\"showNotification\\\":true}\",\n    \"showCode\": 0,\n    \"notificationBody\": \"A request to send Brian Ross $1000.85 has been made via Alexa.\",\n    \"notificationTitle\": \"Authorize to Send Money\",\n    \"guid\": \"ac2a5114-0c2f-48b6-95c4-b72265de1c46\",\n    \"showNotification\": 1\n  },\n  {\n    \"code\": \"OXM\",\n    \"created\": \"2019-01-09T19:33:57.000Z\",\n    \"lastModified\": \"2019-01-09T19:34:30.000Z\",\n    \"expiration\": \"2019-01-09T19:38:57.000Z\",\n    \"originIP\": \"3.82.163.75\",\n    \"requestStatusId\": 2,\n    \"content\": \"<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>\",\n  \"responseContent\": \"<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>\",\n    \"buttons\": [\n      {\n        \"title\": \"Approve\",\n        \"strongAuth\": true,\n        \"style\": \"{\\\"type\\\":\\\"button\\\",\\\"color\\\":\\\"#40AA4B\\\"}\"\n      },\n      {\n        \"title\": \"Reject\",\n        \"strongAuth\": false,\n        \"style\": \"{\\\"type\\\":\\\"button\\\",\\\"color\\\":\\\"#f14132\\\"}\"\n      }\n    ],\n    \"buttonSelected\": 1,\n    \"privakeyId\": \"efc27e30-1147-4a30-9bac-8c40adcf1c45\",\n    \"requestOriginId\": 6,\n    \"additionalInfo\": \"{\\\"viewType\\\":\\\"html\\\",\\\"format\\\":\\\"standard\\\",\\\"type\\\":\\\"Winston Speak SendMoney\\\",\\\"showNotification\\\":true}\",\n    \"showCode\": 0,\n    \"notificationBody\": \"A request to send Joe $10.00 has been made via Alexa.\",\n    \"notificationTitle\": \"Authorize to Send Money\",\n    \"guid\": \"8cfceed0-9461-4e1f-b03a-3eb41d8b7cd0\",\n    \"showNotification\": 1\n  },\n  {\n    \"code\": \"XIB\",\n    \"created\": \"2019-01-09T19:32:02.000Z\",\n    \"lastModified\": \"2019-01-09T19:34:08.000Z\",\n    \"expiration\": \"2019-01-09T19:37:02.000Z\",\n    \"originIP\": \"3.82.163.75\",\n    \"requestStatusId\": 2,\n    \"content\": \"<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>\",\n  \"responseContent\": \"<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>\",\n    \"buttons\": [\n      {\n        \"title\": \"Approve\",\n        \"strongAuth\": true,\n        \"style\": \"{\\\"type\\\":\\\"button\\\",\\\"color\\\":\\\"#40AA4B\\\"}\"\n      },\n      {\n        \"title\": \"Reject\",\n        \"strongAuth\": false,\n        \"style\": \"{\\\"type\\\":\\\"button\\\",\\\"color\\\":\\\"#f14132\\\"}\"\n      }\n    ],\n    \"buttonSelected\": 1,\n    \"privakeyId\": \"efc27e30-1147-4a30-9bac-8c40adcf1c45\",\n    \"requestOriginId\": 6,\n    \"additionalInfo\": \"{\\\"viewType\\\":\\\"html\\\",\\\"format\\\":\\\"standard\\\",\\\"type\\\":\\\"Winston Speak SendMoney\\\",\\\"showNotification\\\":true}\",\n    \"showCode\": 0,\n    \"notificationBody\": \"A request to send Money 1000 Dollars $0.00 has been made via Alexa.\",\n    \"notificationTitle\": \"Authorize to Send Money\",\n    \"guid\": \"596f439a-d278-4d76-ade0-b83b4b0813be\",\n    \"showNotification\": 1\n  }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "code": {
                        "type": "string",
                        "example": "LQW"
                      },
                      "created": {
                        "type": "string",
                        "example": "2019-01-09T19:34:44.000Z"
                      },
                      "lastModified": {
                        "type": "string",
                        "example": "2019-01-09T19:35:02.000Z"
                      },
                      "expiration": {
                        "type": "string",
                        "example": "2019-01-09T19:39:44.000Z"
                      },
                      "originIP": {
                        "type": "string",
                        "example": "3.82.163.75"
                      },
                      "requestStatusId": {
                        "type": "integer",
                        "example": 2,
                        "default": 0
                      },
                      "content": {
                        "type": "string",
                        "example": "<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>"
                      },
                      "responseContent": {
                        "type": "string",
                        "example": "<html><body>Please confirm that you would like to login to Winston with Alexa for 10 minutes.</body></html>"
                      },
                      "buttons": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "title": {
                              "type": "string",
                              "example": "Approve"
                            },
                            "strongAuth": {
                              "type": "boolean",
                              "example": true,
                              "default": true
                            },
                            "style": {
                              "type": "string",
                              "example": "{\"type\":\"button\",\"color\":\"#40AA4B\"}"
                            }
                          }
                        }
                      },
                      "buttonSelected": {
                        "type": "integer",
                        "example": 1,
                        "default": 0
                      },
                      "privakeyId": {
                        "type": "string",
                        "example": "efc27e30-1147-4a30-9bac-8c40adcf1c45"
                      },
                      "requestOriginId": {
                        "type": "integer",
                        "example": 6,
                        "default": 0
                      },
                      "additionalInfo": {
                        "type": "string",
                        "example": "{\"viewType\":\"html\",\"format\":\"standard\",\"type\":\"Winston Speak SendMoney\",\"showNotification\":true}"
                      },
                      "showCode": {
                        "type": "integer",
                        "example": 0,
                        "default": 0
                      },
                      "notificationBody": {
                        "type": "string",
                        "example": "A request to send Brian Ross $1000.85 has been made via Alexa."
                      },
                      "notificationTitle": {
                        "type": "string",
                        "example": "Authorize to Send Money"
                      },
                      "guid": {
                        "type": "string",
                        "example": "ac2a5114-0c2f-48b6-95c4-b72265de1c46"
                      },
                      "showNotification": {
                        "type": "integer",
                        "example": 1,
                        "default": 0
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location --request GET \"https://cloud.privakey.com/api/request/getAll?status=2&noOlderThan=1547080484000&limit=3&accountId=999999\" --header \"Authorization: Basic <basic creds>\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "660d684fcb33080067214619:660d684fcb33080067214634"
}
```